<?php

function template_callback_multiqa()
{
	global $txt, $context, $language;

	foreach ($context['languages'] as $lang_id => $lang)
	{
		$lang_id = strtr($lang_id, array('-utf8' => ''));
		$lang['name'] = strtr($lang['name'], array('-utf8' => ''));

		echo '
						<dt id="qa_dt_', $lang_id, '" class="qa_link">
							<a href="javascript:showlang(\'', $lang_id, '\');">[ ', $lang['name'], ' ]</a>
						</dt>
						<fieldset id="qa_fs_', $lang_id, '" class="qa_fieldset" style="display:none; clear:both;">
							<legend><a href="javascript:hidelang(\'', $lang_id, '\');">', $lang['name'], '</a></legend>
							<dl class="settings" id="qa_dl_', $lang_id, '">
								<dt>
									<strong>', $txt['setup_verification_question'], '</strong>
								</dt>
								<dd>
									<strong>', $txt['setup_verification_answer'], '</strong>
								</dd>';

		if (!empty($context['qa_by_lang'][$lang_id]))
			foreach ($context['qa_by_lang'][$lang_id] as $q_id)
			{
				$question = $context['question_answers'][$q_id];
				echo '
								<dt>
									<input type="text" name="question[', $lang_id, '][', $q_id, ']" value="', $question['question'], '" size="50" class="input_text verification_question">
								</dt>
								<dd>';
				foreach ($question['answers'] as $answer)
					echo '
									<input type="text" name="answer[', $lang_id, '][', $q_id, '][]" value="', $answer, '" size="50" class="input_text verification_answer">';

				echo '
									<div class="qa_add_answer"><a href="javascript:void(0);" onclick="return addAnswer(this);">[ ', $txt['setup_verification_add_answer'], ' ]</a></div>
								</dd>';
			}

		echo '
							</dl>
							<a href="javascript:addQuestion(\'', $lang_id, '\');">[ ', $txt['setup_verification_add_more'], ' ]</a>
						</fieldset>';
	}

	echo '
						<script type="text/javascript"><!-- // --><![CDATA[
						var nextrow = ' . (!empty($context['question_answers']) ? max(array_keys($context['question_answers'])) + 1 : 1) . ';
						function showlang(lang)
						{
							document.getElementById("qa_dt_" + lang).style.display = "none";
							document.getElementById("qa_fs_" + lang).style.display = "";
						}
						function hidelang(lang)
						{
							document.getElementById("qa_dt_" + lang).style.display = "";
							document.getElementById("qa_fs_" + lang).style.display = "none";
						}
						function addQuestion(lang)
						{
							var el = document.getElementById("qa_dl_" + lang);
							el.insertAdjacentHTML(\'beforeend\', \'<dt><input type="text" name="question[\' + lang + \'][\' + nextrow + \']" value="" size="50" class="input_text verification_question"></dt><dd><input type="text" name="answer[\' + lang + \'][\' + nextrow + \'][]" value="" size="50" class="input_text verification_answer" / ><div class="qa_add_answer"><a href="javascript:void(0);" onclick="return addAnswer(this);">[ \' + ' . JavaScriptEscape($txt['setup_verification_add_answer']) . ' + \' ]</a></div></dd>\');
							nextrow++;
						}
						function addAnswer(obj)
						{
							var childnodes = obj.parentNode.parentNode.childNodes;
							var attr = childnodes[0].nodeType == Node.ELEMENT_NODE ? childnodes[0].getAttribute("name") : childnodes[1].getAttribute("name");
							obj.parentNode.insertAdjacentHTML(\'beforebegin\', \'<input type="text" name="\' + attr + \'" value="" size="50" class="input_text verification_answer">\');
							return false;
						}
						showlang("', strtr($language, array('-utf8' => '')), '");
						// ]', ']></script>';
	// FWIW I know this is fugly, but the 2.1 solution required jQuery and I couldn't be bothered to do it more properly.
}

?>